ru.bitel.oss.systems.order.product.common.service

## Interface ProductOrderService

-     public interface ProductOrderService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `productActivate(Product product, boolean customer, boolean sync)`
    `void` | `productDeactivate(int contractId, int productId, java.util.Date time, boolean customer, boolean sync)` Deprecated.
    `void` | `productDeactivate(int contractId, int productId, java.util.Date time, boolean customer, boolean sync, boolean now)` Деактивация продукта.
    `ProductOffering` | `productOfferingGet(java.lang.Integer moduleId, int contractId, int accountId, int productSpecId, int activationModeId, java.util.Date time, boolean availableOnly, boolean customer)`
    `java.util.List<ProductOffering>` | `productOfferingList(java.lang.Integer moduleId, int contractId, int accountId, int productSpecId, java.util.Date time, boolean availableOnly, boolean customer)`
    `void` | `productReactivate(int contractId, int productId, boolean sync)`
    `java.util.List<ProductOffering>` | `productTariffOfferingList(java.lang.Integer moduleId, int tariffId, java.util.Date time, boolean availableOnly)`

- - ### Method Detail

    - #### productOfferingList

          java.util.List<ProductOffering> productOfferingList(java.lang.Integer moduleId,
                                                              int contractId,
                                                              int accountId,
                                                              int productSpecId,
                                                              java.util.Date time,
                                                              boolean availableOnly,
                                                              boolean customer)
                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### productTariffOfferingList

          java.util.List<ProductOffering> productTariffOfferingList(java.lang.Integer moduleId,
                                                                    int tariffId,
                                                                    java.util.Date time,
                                                                    boolean availableOnly)
                                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### productActivate

          int productActivate(Product product,
                              boolean customer,
                              boolean sync)
                       throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `product` -
        `customer` -
        `sync` - нужна ли синхронизация (не нужна, если MW активировало уже и вызвало этот метод)
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### productDeactivate

          @RequestWrapper(className="ru.bitel.oss.systems.order.product.common.jaxws.ProductDeactivateOldRequest")
           @ResponseWrapper(className="ru.bitel.oss.systems.order.product.common.jaxws.ProductDeactivateOldResponse")
           @Deprecated
          void productDeactivate(int contractId,
                                                                                                                                                                                                                                                                   int productId,
                                                                                                                                                                                                                                                                   java.util.Date time,
                                                                                                                                                                                                                                                                   boolean customer,
                                                                                                                                                                                                                                                                   boolean sync)
                                                                                                                                                                                                                                                            throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### productDeactivate

          void productDeactivate(int contractId,
                                 int productId,
                                 java.util.Date time,
                                 boolean customer,
                                 boolean sync,
                                 boolean now)
                          throws ru.bitel.bgbilling.common.BGException

      Деактивация продукта.
      Parameters:
        `contractId` -
        `productId` -
        `time` -
        `customer` - метод вызывает абонент или нет
        `sync` - нужно ли вызывать синхронизацию - не нужно, если MW синхронизирует само, т.е. вызов инициирован со стороны MW.
        `now` - нужно ли установить временем окончания time, т.е. не учитываем правила деактивации до конца оплаченного периода
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### productReactivate

          void productReactivate(int contractId,
                                 int productId,
                                 boolean sync)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### productOfferingGet

          ProductOffering productOfferingGet(java.lang.Integer moduleId,
                                             int contractId,
                                             int accountId,
                                             int productSpecId,
                                             int activationModeId,
                                             java.util.Date time,
                                             boolean availableOnly,
                                             boolean customer)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`